automation-cloud
latest
false
Automation Cloud API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Delete Users
DELETE endpoint for removing multiple users from an organization by their user IDs.
Deletes multiple users from an organization, based on the users IDs.
API Endpoint
DELETE {accessURL}/{organizationName}/identity_/api/User
Replace {accessURL} in all endpoint paths with the base URL for your cloud platform:
| Cloud platform | Access URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud Public Sector | https://govcloud.uipath.us/ |
| Automation Cloud Dedicated | https://{customURL}.dedicated.uipath.com/ |
Scopes
Requires the following scopes:
- PM.User
- PM.User.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId (required) | String | The ID of the organization you want to retrieve the robot accounts for. |
Request Body
The request body contains the list of user IDs you want to bulk delete from the organization.
{
"partitionGlobalId": "string",
"userIds": [
"string"
]
}
{
"partitionGlobalId": "string",
"userIds": [
"string"
]
}
Responses
204 Success
The indicated robot accounts are deleted from the organization.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is: https://cloud.uipath.com/{organizationName}/identity_ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:3fa85f64-5717-4562-b3fc-2c963f66afa6 - The users you want to delete have the following IDs:
- Dolores Umbridge:
dol-2908 - Quirinus Quirrell:
qui-2609
- Dolores Umbridge:
The call should resemble the following example (cURL):
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userIds": [
"dol-2908", "qui-2609"
]
}'
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userIds": [
"dol-2908", "qui-2609"
]
}'